package com.goafanti.order.bo;

import java.math.BigDecimal;

/**
 * 订单列表
 * @author Administrator
 *
 */
public class OrderListBo {
	/** 订单编号 **/
	private String orderNo;
	/** 订单类型 **/
	private Integer orderType;
	/** 业务品类 **/
	private String projectType;
	/** 订单创建时间 **/
	private String createTime;
	/** 签单时间 **/
	private String signTime;
	/** 合同首付金额 **/
	private BigDecimal signFirstPayment;
	/** 合同订单金额 **/
	private BigDecimal signTotalAmount;
	/** 实际付款金额 **/
	private BigDecimal actuallyTotalAmount;
	/** 买方姓名 **/
	private String buyerName;
	/** 卖方姓名 **/
	private String sellerName;
	/** 订单状态 **/
	private Integer orderStatus;
	/** 结算状态 **/
	private Integer liquidationStatus;
	/** 是否特批 **/
	private Integer approval;
	/** 订单渠道 **/
	private Integer orderChannel;
	/** 营销员 **/
	private String salesmanName;
	/** 财务负责人 **/
	private String financeName;
	private String financeId;
	/** 技术员 **/
	private String technicianName;
	/** 关联部门名称 **/
	private String departmentName;
	/** 订单阶段 **/
	private Integer orderStage;
	/** 项目阶段 **/
	private Integer projectStage;
	/** 删除、锁定 状态 **/
	private Integer deleteSign;
	/** 卖方 **/
	private String buyerId;
	/** 卖方 **/
	private String sellerId;
	/** 变更状态 **/
	private Integer changeStatus;
	/** 可操作状态 **/
	private OperatorActive active;
	/** 流程状态 **/
	private Integer processStatus;
	/** 搜索开始时间 **/
	private String startTime;
	/** 搜索结束时间 **/
	private String endTime;
	
	/** 收款公司id **/
	private String companyId;
	/** 收款公司名称 **/
	private String companyName;
	/** 合同编号 */
	private String contractNo;
	/** 部门编号*/
	private String departmentId;
	/** 外包*/
	private Integer outsource;
	/** 外包名称*/
	private String outsourceName;
	/** 最后收款 */
	private BigDecimal finalReceivables;
	/** 最后收款 时间*/
	private String finalReceivablesTime;
	/** 开票金额 */
	private BigDecimal invoiceAmount;
	/** 结束最后收款 时间*/
	private String endFinalReceivablesTime;
	/** 开始最后收款 时间*/
	private String startFinalReceivablesTime;	
	/** 外包金额*/
	private BigDecimal outsourceAmount;
	/** 筛选金额*/
	private Integer amountStatus;
	/** 驳回位置*/
	private Integer backStatus;
	/**应收款 */
	private BigDecimal orderReceivables;
	/**欠款 */
	private BigDecimal  orderArrears;
	/**总成本*/
	private BigDecimal  costAmount;
	/**已付成本*/
	private BigDecimal paymentAmount;
	
	public BigDecimal getFinalReceivables() {
		return finalReceivables;
	}
	public void setFinalReceivables(BigDecimal finalReceivables) {
		this.finalReceivables = finalReceivables;
	}
	public String getFinalReceivablesTime() {
		return finalReceivablesTime;
	}
	public void setFinalReceivablesTime(String finalReceivablesTime) {
		this.finalReceivablesTime = finalReceivablesTime;
	}
	public BigDecimal getInvoiceAmount() {
		return invoiceAmount;
	}
	public void setInvoiceAmount(BigDecimal invoiceAmount) {
		this.invoiceAmount = invoiceAmount;
	}
	public String getOrderNo() {
		return orderNo;
	}
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}
	public Integer getOrderType() {
		return orderType;
	}
	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}
	public String getProjectType() {
		return projectType;
	}
	public void setProjectType(String projectType) {
		this.projectType = projectType;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getSignTime() {
		return signTime;
	}
	public void setSignTime(String signTime) {
		this.signTime = signTime;
	}
	public BigDecimal getSignFirstPayment() {
		return signFirstPayment;
	}
	public void setSignFirstPayment(BigDecimal signFirstPayment) {
		this.signFirstPayment = signFirstPayment;
	}
	public BigDecimal getSignTotalAmount() {
		return signTotalAmount;
	}
	public void setSignTotalAmount(BigDecimal signTotalAmount) {
		this.signTotalAmount = signTotalAmount;
	}
	public BigDecimal getActuallyTotalAmount() {
		return actuallyTotalAmount;
	}
	public void setActuallyTotalAmount(BigDecimal actuallyTotalAmount) {
		this.actuallyTotalAmount = actuallyTotalAmount;
	}
	public String getBuyerName() {
		return buyerName;
	}
	public void setBuyerName(String buyerName) {
		this.buyerName = buyerName;
	}
	public String getSellerName() {
		return sellerName;
	}
	public void setSellerName(String sellerName) {
		this.sellerName = sellerName;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public Integer getLiquidationStatus() {
		return liquidationStatus;
	}
	public void setLiquidationStatus(Integer liquidationStatus) {
		this.liquidationStatus = liquidationStatus;
	}
	public Integer getApproval() {
		return approval;
	}
	public void setApproval(Integer approval) {
		this.approval = approval;
	}
	public Integer getOrderChannel() {
		return orderChannel;
	}
	public void setOrderChannel(Integer orderChannel) {
		this.orderChannel = orderChannel;
	}
	public String getSalesmanName() {
		return salesmanName;
	}
	public void setSalesmanName(String salesmanName) {
		this.salesmanName = salesmanName;
	}
	public String getFinanceName() {
		return financeName;
	}
	public void setFinanceName(String financeName) {
		this.financeName = financeName;
	}
	public String getTechnicianName() {
		return technicianName;
	}
	public void setTechnicianName(String technicianName) {
		this.technicianName = technicianName;
	}
	public String getDepartmentName() {
		return departmentName;
	}
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	public Integer getOrderStage() {
		return orderStage;
	}
	public void setOrderStage(Integer orderStage) {
		this.orderStage = orderStage;
	}
	public Integer getProjectStage() {
		return projectStage;
	}
	public void setProjectStage(Integer projectStage) {
		this.projectStage = projectStage;
	}
	public Integer getDeleteSign() {
		return deleteSign;
	}
	public void setDeleteSign(Integer deleteSign) {
		this.deleteSign = deleteSign;
	}
	public String getBuyerId() {
		return buyerId;
	}
	public void setBuyerId(String buyerId) {
		this.buyerId = buyerId;
	}
	public String getSellerId() {
		return sellerId;
	}
	public void setSellerId(String sellerId) {
		this.sellerId = sellerId;
	}
	public Integer getChangeStatus() {
		return changeStatus;
	}
	public void setChangeStatus(Integer changeStatus) {
		this.changeStatus = changeStatus;
	}
	public OperatorActive getActive() {
		return active;
	}
	public void setActive(OperatorActive active) {
		this.active = active;
	}
	public String getFinanceId() {
		return financeId;
	}
	public void setFinanceId(String financeId) {
		this.financeId = financeId;
	}
	public Integer getProcessStatus() {
		return processStatus;
	}
	public void setProcessStatus(Integer processStatus) {
		this.processStatus = processStatus;
	}
	public String getStartTime() {
		return startTime;
	}
	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}
	public String getEndTime() {
		return endTime;
	}
	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}
	public String getCompanyId() {
		return companyId;
	}
	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	public String getCompanyName() {
		if (companyName==null) {
			return "湖南科德信息咨询有限公司";
		}
		return companyName;
	}
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	public String getContractNo() {
		return contractNo;
	}
	public void setContractNo(String contractNo) {
		this.contractNo = contractNo;
	}
	public String getDepartmentId() {
		return departmentId;
	}
	public void setDepartmentId(String departmentId) {
		this.departmentId = departmentId;
	}
	public Integer getOutsource() {
		return outsource;
	}
	public void setOutsource(Integer outsource) {
		this.outsource = outsource;
	}
	public String getOutsourceName() {
		return outsourceName;
	}
	public void setOutsourceName(String outsourceName) {
		this.outsourceName = outsourceName;
	}
	public String getEndFinalReceivablesTime() {
		return endFinalReceivablesTime;
	}
	public void setEndFinalReceivablesTime(String endFinalReceivablesTime) {
		this.endFinalReceivablesTime = endFinalReceivablesTime;
	}
	public String getStartFinalReceivablesTime() {
		return startFinalReceivablesTime;
	}
	public void setStartFinalReceivablesTime(String startFinalReceivablesTime) {
		this.startFinalReceivablesTime = startFinalReceivablesTime;
	}
	public BigDecimal getOutsourceAmount() {
		return outsourceAmount;
	}
	public void setOutsourceAmount(BigDecimal outsourceAmount) {
		this.outsourceAmount = outsourceAmount;
	}
	public Integer getAmountStatus() {
		return amountStatus;
	}
	public void setAmountStatus(Integer amountStatus) {
		this.amountStatus = amountStatus;
	}
	public Integer getBackStatus() {
		return backStatus;
	}
	public void setBackStatus(Integer backStatus) {
		this.backStatus = backStatus;
	}
	public BigDecimal getOrderReceivables() {
		return orderReceivables;
	}
	public void setOrderReceivables(BigDecimal orderReceivables) {
		this.orderReceivables = orderReceivables;
	}
	public BigDecimal getOrderArrears() {
		return orderArrears;
	}
	public void setOrderArrears(BigDecimal orderArrears) {
		this.orderArrears = orderArrears;
	}
	public BigDecimal getCostAmount() {
		return costAmount;
	}
	public void setCostAmount(BigDecimal costAmount) {
		this.costAmount = costAmount;
	}
	public BigDecimal getPaymentAmount() {
		return paymentAmount;
	}
	public void setPaymentAmount(BigDecimal paymentAmount) {
		this.paymentAmount = paymentAmount;
	}
}
